GET V1/Payments.{ext}/PaymentFilesHighApproval?pageIndex={pageIndex}&pageSize={pageSize}

List of all payment files which are for High Value Approval.
Mandatory Fields : N/A
Optional Fields : pageIndex,pageSize

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfEMS.Payments.Entities.PaymentFiles
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.PaymentFiles

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "PaymentFiles",
  "response": {
    "paymentFileList": [
      {
        "pfId": 1,
        "pfName": "sample string 2",
        "pfDate": "2026-06-01T14:14:55.0702201-04:00",
        "status": "sample string 4",
        "pfType": "sample string 5",
        "paymentCurrency": "sample string 6",
        "amount": 1.0,
        "transactions": 7,
        "companyCode": "sample string 8",
        "fileAcceptCount": 9,
        "fileRejectCount": 10,
        "fileAcceptTotal": 11,
        "fileRejectTotal": 12,
        "maxAmount": 1.0,
        "highLevelApprovalStatus": "sample string 13",
        "approvalLevel": 1,
        "approvalLevelID": 1,
        "clientId": 1
      },
      {
        "pfId": 1,
        "pfName": "sample string 2",
        "pfDate": "2026-06-01T14:14:55.0702201-04:00",
        "status": "sample string 4",
        "pfType": "sample string 5",
        "paymentCurrency": "sample string 6",
        "amount": 1.0,
        "transactions": 7,
        "companyCode": "sample string 8",
        "fileAcceptCount": 9,
        "fileRejectCount": 10,
        "fileAcceptTotal": 11,
        "fileRejectTotal": 12,
        "maxAmount": 1.0,
        "highLevelApprovalStatus": "sample string 13",
        "approvalLevel": 1,
        "approvalLevelID": 1,
        "clientId": 1
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.